		cvInitFont( &font_1, CV_FONT_HERSHEY_COMPLEX, 0.28, 0.28, 0.0, 1, line_type );	
		char text_buffer[30];
		//Front accelerometer
		cvLine(image, cvPoint(acc_fx_center,acc_fy_center), cvPoint(acceleration(acc_fx_center,acc_fradius,acc_fy),acceleration(acc_fy_center,acc_fradius,acc_fx) ), cvScalar(0,255,0), 2);
		sprintf(text_buffer,"x:%1.2fg y:%1.2fg z:%1.2fg",acc_fx,acc_fy,acc_fz);
		cvPutText( image,text_buffer,cvPoint(acc_fx_text,acc_fy_text), &font_1, CV_RGB(255,100,100));
		
		//IMU accelerations--------------------------------
		//X-Y
		cvLine(image, cvPoint(acc_mx_center,acc_my_center), cvPoint(acceleration(acc_mx_center,acc_mradius,acc_my),acceleration(acc_my_center,acc_mradius,acc_mx) ), cvScalar(0,255,0), 2);
		//Z
		cvLine(image, cvPoint(acc_mzx_center,acc_mzy_center), cvPoint(acc_mzx_center+acc_mz*acc_mradius,acc_mzy_center), cvScalar(0,255,0), 2);
		
		sprintf(text_buffer,"x:%1.2fg y:%1.2fg z:%1.2fg",acc_mx,acc_my,acc_mz);
		cvPutText( image,text_buffer,cvPoint(acc_mx_text,acc_my_text), &font_1, CV_RGB(255,100,100));
		
		//IMU rates
		cvInitFont( &font_1, CV_FONT_HERSHEY_COMPLEX, 0.33, 0.33, 0.0, 1, line_type );
		
		cvLine(image, cvPoint(yaw_rate_x_center,yaw_rate_y_center), cvPoint(polar_x(yaw_rate_x_center,yaw_rate_radius,x_rate,90),polar_y(yaw_rate_y_center,yaw_rate_radius,x_rate,90) ), cvScalar(0,255,0), 2);
		sprintf(text_buffer,"Yaw_rate:%3.1fg deg/s ",x_rate);
		cvPutText( image,text_buffer,cvPoint(rates_x_text,rates_y_text), &font_1, CV_RGB(255,100,100));
		sprintf(text_buffer,"Roll_rate:%3.1fg deg/s",y_rate);
		cvPutText( image,text_buffer,cvPoint(rates_x_text,rates_y_text+12), &font_1, CV_RGB(255,100,100));
		//-----------------------------------------

		//----------------------------------
		cvInitFont( &font_1, CV_FONT_HERSHEY_COMPLEX, 0.28, 0.28, 0.0, 1, line_type );	
		//Rear accelerometer
		cvLine(image, cvPoint(acc_rx_center,acc_ry_center), cvPoint(acceleration(acc_rx_center,acc_rradius,acc_ry),acceleration(acc_ry_center,acc_rradius,acc_rx) ), cvScalar(0,255,0), 2);
		sprintf(text_buffer,"x:%1.2fg y:%1.2fg z:%1.2fg",acc_rx,acc_ry,(double)0);
		cvPutText( image,text_buffer,cvPoint(acc_rx_text,acc_ry_text), &font_1, CV_RGB(255,100,100));
		
		//Brake sensors
		cvInitFont( &font_1, CV_FONT_HERSHEY_COMPLEX, 0.32, 0.3, 0.0, 1, line_type );
		//Front brake
		cvLine(image, cvPoint(front_brake_x,front_brake_y), cvPoint(front_brake_x+front_brake_radius*front_brake,front_brake_y), cvScalar(0,255,0), 15);
		sprintf(text_buffer,"Front Brake:%3.2f bar",front_brake);
		cvPutText( image,text_buffer,cvPoint(front_brake_x_text,front_brake_y_text), &font_1, CV_RGB(255,100,100));
		//Rear brake
		cvLine(image, cvPoint(rear_brake_x,rear_brake_y), cvPoint(rear_brake_x+rear_brake_radius*rear_brake,rear_brake_y), cvScalar(0,255,0), 15);
		sprintf(text_buffer,"Rear Brake:%3.2f bar",rear_brake);
		cvPutText( image,text_buffer,cvPoint(rear_brake_x_text,rear_brake_y_text), &font_1, CV_RGB(255,100,100));

		//Steering angle
		cvInitFont( &font_1, CV_FONT_HERSHEY_COMPLEX, 0.35, 0.35, 0.0, 1, line_type );
		cvLine(image, cvPoint(steering_x_gauge,steering_y_gauge), cvPoint(polar_x(steering_x_gauge,steering_r_gauge,steering_angle,90),polar_y(steering_y_gauge,steering_r_gauge,steering_angle,90)), cvScalar(0,255,0), 2);
		sprintf(text_buffer,"St:%3.1f deg",steering_angle);
		cvPutText( image,text_buffer,cvPoint(steering_x_text,steering_y_text), &font_1, CV_RGB(255,100,100));
		
		//Steering angle
		sprintf(text_buffer,"Trq:%2.3f Nm",steering_torque);
		cvPutText( image,text_buffer,cvPoint(steering_torque_x_text,steering_torque_y_text), &font_1, CV_RGB(255,100,100));
		